import type { NextPage } from "next";
import Head from "next/head";
import Image from "next/image";
import styles from "../styles/Home.module.css";
import Link from "next/link";

const Home: NextPage = () => {
  return (
    <div className={styles.container}>
      <Head>
        <title>Create Next App</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <main className={styles.main}>
        <h1 className={styles.title}>Luckysheet Document</h1>
        <br />
        <br />
        <br />

        <div className={styles.grid}>
          <div className={styles.card}>
            <Link href="/">
              <div>
                <h2>Home &rarr;</h2>
                <p>Luckysheet official website main page</p>
              </div>
            </Link>
          </div>

          <div className={styles.card}>
            <Link href="/builder">
              <div>
                <h2>Build &rarr;</h2>
                <p>Create your own custom luckysheet build</p>
              </div>
            </Link>
          </div>

          <div className={styles.card}>
            <Link href="/api/hello">
              <div>
                <h2>Interface &rarr;</h2>
                <p>Test backend interface, as `pages/api` folder</p>
              </div>
            </Link>
          </div>

          <div className={styles.card}>
            <Link href="/">
              <div>
                <h2>Document &rarr;</h2>
                <p>Luckysheet core and official plugins document</p>
              </div>
            </Link>
          </div>
        </div>
      </main>

      <footer className={styles.footer}>
        <a
          href="https://vercel.com?utm_source=create-next-app&utm_medium=default-template&utm_campaign=create-next-app"
          target="_blank"
          rel="noopener noreferrer"
        >
          Powered by{" "}
          <span className={styles.logo}>
            <Image src="/vercel.svg" alt="Vercel Logo" width={72} height={16} />
          </span>
        </a>
      </footer>
    </div>
  );
};

export default Home;
